language: php
php:
  - 5.5
  - 5.6
  - 7
  - hhvm

matrix:
  fast_finish: true

env:
  matrix:
    - LOWEST_DEPS=""
    - LOWEST_DEPS="--prefer-lowest"

services:
  - mysql

sudo: false

cache: vendor

before_script:
  # - mysql -e 'create database sabredav'
  # - composer self-update
  - composer update --prefer-source $LOWEST_DEPS

script:
    - find Core -name "*.php" | xargs -n1 php -l 
    - ./vendor/bin/sabre-cs-fixer fix . --dry-run --diff

